Index: c/src/tests/samples/base_mp/apptask.c
===================================================================
--- c/src/tests/samples/base_mp/apptask.c	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
+++ c/src/tests/samples/base_mp/apptask.c	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -0,0 +1,38 @@
+/*  Application_task
+ *
+ *  This routine is as an example of an application task which
+ *  prints a message including its RTEMS task id.  This task
+ *  then invokes exit to return to the monitor.
+ *
+ *  Input parameters:
+ *    node - processor's node number
+ *
+ *  Output parameters:  NONE
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include "system.h"
+#include "libcsupport.h"
+
+rtems_task Application_task(
+  rtems_task_argument node
+)
+{
+  rtems_id          tid;
+  rtems_status_code status;
+
+  status = rtems_task_ident( RTEMS_SELF, RTEMS_SEARCH_ALL_NODES, &tid );
+  printf( "This task was invoked with the node argument (%d)\n", node );
+  printf( "This task has the id of 0x%x\n",  tid );
+  printf( "*** END OF SAMPLE MULTIPROCESSOR APPLICATION ***\n" );
+  exit( 0 );
+}
Index: c/src/tests/samples/base_mp/init.c
===================================================================
--- c/src/tests/samples/base_mp/init.c	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
+++ c/src/tests/samples/base_mp/init.c	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -0,0 +1,46 @@
+/*  Init
+ *
+ *  This routine is the initialization task for this test program.
+ *  It is called from init_exec and has the responsibility for creating
+ *  and starting the tasks that make up the test.  If the time of day
+ *  clock is required for the application, the current time might be
+ *  set by this task.
+ *
+ *  Input parameters:  NONE
+ *
+ *  Output parameters:  NONE
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include "system.h"
+#undef EXTERN
+#define EXTERN
+#include "shm.h"
+#include "conftbl.h"
+#include "gvar.h"
+
+rtems_task Init(
+  rtems_task_argument argument
+)
+{
+  rtems_name        task_name;
+  rtems_id          tid;
+  rtems_status_code status;
+
+  printf( "\n\n*** SAMPLE MULTIPROCESSOR APPLICATION ***\n" );
+  printf( "Creating and starting an application task\n" );
+  task_name = rtems_build_name( 'T', 'A', '1', ' ' );
+  status = rtems_task_create( task_name, 1, 1024,
+             RTEMS_INTERRUPT_LEVEL(0), RTEMS_DEFAULT_ATTRIBUTES, &tid );
+  status = rtems_task_start( tid, Application_task, Mp_conf_addr.node );
+  status = rtems_task_delete( RTEMS_SELF );
+}
Index: c/src/tests/samples/base_mp/node1/base_mp.scn
===================================================================
--- c/src/tests/samples/base_mp/node1/base_mp.scn	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
+++ c/src/tests/samples/base_mp/node1/base_mp.scn	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -0,0 +1,5 @@
+*** SAMPLE MULTIPROCESSOR APPLICATION ***
+Creating and starting an application task
+This task was invoked with the node argument (1)
+This task has the id of 0x10002
+*** END OF SAMPLE MULTIPROCESSOR APPLICATION ***
Index: c/src/tests/samples/base_mp/node2/base_mp.scn
===================================================================
--- c/src/tests/samples/base_mp/node2/base_mp.scn	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
+++ c/src/tests/samples/base_mp/node2/base_mp.scn	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -0,0 +1,5 @@
+*** SAMPLE MULTIPROCESSOR APPLICATION ***
+Creating and starting an application task
+This task was invoked with the node argument (2)
+This task has the id of 0x20002
+*** END OF SAMPLE MULTIPROCESSOR APPLICATION ***
Index: c/src/tests/samples/base_mp/system.h
===================================================================
--- c/src/tests/samples/base_mp/system.h	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
+++ c/src/tests/samples/base_mp/system.h	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -0,0 +1,31 @@
+/*  system.h
+ *
+ *  This include file contains information that is included in every
+ *  function in the test set.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include <rtems.h>
+#include "stdio.h"
+#include "libcsupport.h"
+
+/* Miscellaneous */
+
+#define EXTERN  extern             /* external definition */
+
+/* macros */
+
+/* structures */
+
+#include "gvar.h"
+
+/* end of include file */
